000029451 - Unable to login to Archer 5.3

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000029451
Applies ToRSA Product Set : Archer

RSA Version/Condition : 5.3

Platform : Windows
IssueThe user is unable to login to Archer :
Error Log

 
Archer.Web 
012213-104630-1452
The type initializer for 'ArcherTech.Web.Presentation.Utility.StringCryptographyHelper' threw an exception.
/LM/W3SVC/1/ROOT/Archer-2-130033132707838963
System.TypeInitializationException, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089
The type initializer for 'ArcherTech.Web.Presentation.Utility.StringCryptographyHelper' threw an exception.
Security2000
at Security2000.Default.SaveViewState()
at System.Web.UI.Control.SaveViewStateRecursive(ViewStateMode inheritedMode)
at System.Web.UI.Page.SaveAllState()
at System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint)
System.ArgumentException, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089
Cannot bind to the target method because its signature or security transparency is not compatible with that of the delegate type.
mscorlib
at System.Delegate.CreateDelegate(Type type, Type target, String method, Boolean ignoreCase, Boolean throwOnBindFailure)
at System.Delegate.CreateDelegate(Type type, Type target, String method)
at ArcherTech.Web.Presentation.Utility.StringCryptographyHelper..cctor()

 
ResolutionSolution 1:
Try re registering .NET :

 
Depending on the OS version, use one of the following commands.
32-Bit OS:
C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_regiis.exe -r
64-Bit OS:
C:\Windows\Microsoft.NET\Framework64\v4.0.30319\aspnet_regiis.exe -ir

Solution 2: 
Re apply the license key in the Archer Control Panel.
Solution 3:
It is most likely due to a wrong version of .NET installed. 
5.3 required .NET version 4.0; it will not work on .NET version 4.5

 

Attachments

    Outcomes